# DataExchange
TKIGES
IGESSolid

# IGESSolid_Array1OfShell Class Reference

`#include <IGESSolid_Array1OfShell.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESSolid_Array1OfShell (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_Array1OfShell (const Handle(IGESSolid_Shell)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESSolid_Shell)&V)
Standard_EXPORT void | Destroy ()
| ~IGESSolid_Array1OfShell ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESSolid_Array1OfShell & | Assign (const IGESSolid_Array1OfShell &Other)
const IGESSolid_Array1OfShell & | operator= (const IGESSolid_Array1OfShell &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_Shell)&Value)
const Handle_IGESSolid_Shell & | Value (const Standard_Integer Index) const
const Handle_IGESSolid_Shell & | operator() (const Standard_Integer Index) const
Handle_IGESSolid_Shell & | ChangeValue (const Standard_Integer Index)
Handle_IGESSolid_Shell & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESSolid_Array1OfShell (const IGESSolid_Array1OfShell &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Array1OfShell::IGESSolid_Array1OfShell | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_Array1OfShell::IGESSolid_Array1OfShell | ( | const Handle(IGESSolid_Shell)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESSolid_Array1OfShell::~IGESSolid_Array1OfShell | ( |  | ) | `[inline]`

Standard_EXPORT IGESSolid_Array1OfShell::IGESSolid_Array1OfShell | ( | const IGESSolid_Array1OfShell & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESSolid_Array1OfShell& IGESSolid_Array1OfShell::Assign | ( | const IGESSolid_Array1OfShell & | Other | ) |

Handle_IGESSolid_Shell& IGESSolid_Array1OfShell::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESSolid_Array1OfShell::Destroy | ( |  | ) |

Standard_EXPORT void IGESSolid_Array1OfShell::Init | ( | const Handle(IGESSolid_Shell)& | V | ) |

Standard_Boolean IGESSolid_Array1OfShell::IsAllocated | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfShell::Length | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfShell::Lower | ( |  | ) | const

void IGESSolid_Array1OfShell::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESSolid_Array1OfShell::operator new | ( | size_t | size | ) | `[inline]`

void* IGESSolid_Array1OfShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESSolid_Shell& IGESSolid_Array1OfShell::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESSolid_Shell& IGESSolid_Array1OfShell::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESSolid_Array1OfShell& IGESSolid_Array1OfShell::operator= | ( | const IGESSolid_Array1OfShell & | Other | ) | `[inline]`

void IGESSolid_Array1OfShell::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_Shell)& | Value
| ) |

Standard_Integer IGESSolid_Array1OfShell::Upper | ( |  | ) | const

const Handle_IGESSolid_Shell& IGESSolid_Array1OfShell::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESSolid_Array1OfShell::isAllocated `[private]`

Standard_Integer IGESSolid_Array1OfShell::myLowerBound `[private]`

Standard_Address IGESSolid_Array1OfShell::myStart `[private]`

Standard_Integer IGESSolid_Array1OfShell::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Array1OfShell.hxx